<?php

	define("VALID_CMS", 1);
    define('PATH', $_SERVER['DOCUMENT_ROOT']);
    define('HOST', 'http://' . $_SERVER['HTTP_HOST']);

	include(PATH.'/core/cms.php');

    $inCore = cmsCore::getInstance();
    $inCore->loadClass('config');       //
    $inCore->loadClass('db');           // 

    $inDB = cmsDatabase::getInstance();

    $is_ht  = 0;
    $is_php = 0;

    echo '<table cellpadding="10" border="0">';

    foreach (glob(PATH.'/upload/userfiles/*') as $dir) {

        if (!is_dir($dir)){ continue; }

        $file = '.htaccess';

        if (file_exists($dir.'/'.$file)){
            
            echo '<tr>';
            
                echo '<td style="padding-bottom:0px"><span style="color:red"> '.$file.':</span></td>';
                echo '<td style="padding-bottom:0px">'.str_replace(PATH, '', $dir.'/'.$file).'</td>';

                $is_deleted = @unlink($dir.'/'.$file);

                echo '<td style="padding-bottom:0px">[' . ($is_deleted ? '<span style="color:green"></span>' : '<span style="color:red"> </span> -  ') . ']</td>';

            echo '</tr>';

            $is_ht += 1;

        }

        foreach (glob($dir.'/*.{php,pHp,PhP,phP,Php,PHP,PHp,pHP}', GLOB_BRACE) as $phpfile) {


            echo '<tr>';

                echo '<td style="padding-bottom:0px"><span style="color:red"> PHP:</span></td>';
                echo '<td style="padding-bottom:0px">'.str_replace(PATH, '', $phpfile).'</td>';

                $is_deleted = @unlink($phpfile);

                echo '<td style="padding-bottom:0px">[' . ($is_deleted ? '<span style="color:green"></span>' : '<span style="color:red"> </span> -  ') . ']</td>';

            echo '</tr>';

            $is_php += 1;

        }

    }

    echo '</table>';

    if (!$is_ht) { echo '<p style="color:green;padding:10px;padding-bottom:0px">.htaccess-  </p>'; }
    if (!$is_php) { echo '<p style="color:green;padding:10px;padding-top:0px">.php-  </p>'; }

    return;

?>